This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 890946

Summary: Review Request: RepetierHost - 3D printer control software
Product: [Fedora] Fedora Reporter: Miro Hrončok <mhroncok>
Component: Package ReviewAssignee: T.C. Hollingsworth <tchollingsworth>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: notting, package-review, tchollingsworth
Target Milestone: ---Flags: tchollingsworth: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-03 08:47:32 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 890872    
Bug Blocks:    

Description Miro Hrončok 2012-12-31 06:01:48 EST
Spec URL: https://raw.github.com/hroncok/SPECS/master/RepetierHost.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/RepetierHost-0.82b-1.fc17.src.rpm

Description:

Software for controlling RepRap style 3D-printer like Mendel, Darwin or Prusa
Mendel. Works with most firmware types. It is optimized to work with
Repetier-Firmware Other working firmware is Sprinter, Teacup, Marlin and all
compatible firmwares.

Fedora Account System Username: churchyard
Comment 1 Miro Hrončok 2013-01-05 23:24:36 EST
Spec URL: https://raw.github.com/hroncok/SPECS/master/RepetierHost.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/RepetierHost-0.82b-2.fc18.src.rpm

Overwrite Arial with something more free
Comment 3 Miro Hrončok 2013-01-14 01:59:45 EST
Spec URL: https://raw.github.com/hroncok/SPECS/master/RepetierHost.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/RepetierHost-0.82b-4.fc18.src.rpm

Moved some of the code modifications to %prep
Comment 4 T.C. Hollingsworth 2013-01-17 02:54:20 EST
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed

Resolution:  APPROVED

==== Things to Consider ====

- This package does not contain a %check section.  Please verify that upstream
  provides no test cases, even seperately from the main codebase.

- This package does not include a license file.  Consider asking upstream to
  include one.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[ ]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install if there is
     such a file.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated". 2 files have unknown license.
     Detailed output of licensecheck in
     /home/fedora/patches/890946-RepetierHost/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[-]: Large documentation must go in a -doc subpackage.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: RepetierHost-0.82b-4.fc19.src.rpm
          RepetierHost-0.82b-4.fc19.noarch.rpm
RepetierHost.src:48: E: hardcoded-library-path in %{buildroot}/usr/lib/mono/%{name}
RepetierHost.src:54: E: hardcoded-library-path in %{buildroot}/usr/lib/mono/%{name}
RepetierHost.src:56: E: hardcoded-library-path in %{buildroot}/usr/lib/mono/%{name}/data
RepetierHost.src:62: E: hardcoded-library-path in /usr/lib/mono/%{name}/%{name}.exe'
RepetierHost.src:68: E: hardcoded-library-path in /usr/lib/mono/%{name}
RepetierHost.noarch: W: only-non-binary-in-usr-lib
RepetierHost.noarch: W: no-manual-page-for-binary RepetierHost
2 packages and 0 specfiles checked; 5 errors, 2 warnings.

All okay.


Rpmlint (installed packages)
----------------------------
# rpmlint RepetierHost
RepetierHost.noarch: W: only-non-binary-in-usr-lib
RepetierHost.noarch: W: no-manual-page-for-binary RepetierHost
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'

Same.

Requires
--------
RepetierHost-0.82b-4.fc19.noarch.rpm (rpmlib, GLIBC filtered):
    
    /usr/bin/env
    font(freesans)
    mono(OpenTK) = 1.1.0.0
    mono(OpenTK.GLControl) = 1.1.0.0
    mono(System) = 2.0.0.0
    mono(System.Core) = 3.5.0.0
    mono(System.Drawing) = 2.0.0.0
    mono(System.Windows.Forms) = 2.0.0.0
    mono(System.Xml) = 2.0.0.0
    mono(mscorlib) = 2.0.0.0



Provides
--------
RepetierHost-0.82b-4.fc19.noarch.rpm:
    
    RepetierHost = 0.82b-4.fc19
    mono(RepetierHost) = 1.0.0.0



MD5-sum check
-------------
https://github.com/repetier/Repetier-Host/archive/dff824fad56a992c845b4d9fae815c4527ab6285/RepetierHost-0.82b-dff824f.tar.gz :
  CHECKSUM(SHA256) this package     : af8bac92a19ba61e6d026d19213d3e3a1d3fdc20670edc71dd16cb0864fe183e
  CHECKSUM(SHA256) upstream package : af8bac92a19ba61e6d026d19213d3e3a1d3fdc20670edc71dd16cb0864fe183e


Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b890946
Comment 5 Miro Hrončok 2013-01-17 03:02:55 EST
New Package SCM Request
=======================
Package Name: RepetierHost
Short Description: 3D printer control software
Owners: churchyard
Branches: f17 f18
Comment 6 Miro Hrončok 2013-01-17 03:04:54 EST
(In reply to comment #4)
> Resolution:  APPROVED
Thanks.

> - This package does not include a license file.  Consider asking upstream to
>   include one.
It does. There is a Repetier-Host-licence.txt saying RepetierHost uses Apache License, and APACHE-LICENSE-2.0.txt with the text of the license.
Comment 7 Jon Ciesla 2013-01-17 07:04:20 EST
Git done (by process-git-requests).
Comment 8 Fedora Update System 2013-01-17 09:32:11 EST
RepetierHost-0.82b-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/RepetierHost-0.82b-4.fc18
Comment 9 Fedora Update System 2013-01-17 09:53:22 EST
RepetierHost-0.82b-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/RepetierHost-0.82b-4.fc17
Comment 10 Fedora Update System 2013-01-19 22:00:38 EST
RepetierHost-0.82b-4.fc17 has been pushed to the Fedora 17 testing repository.
Comment 11 Fedora Update System 2013-01-23 15:53:31 EST
RepetierHost-0.83-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/RepetierHost-0.83-2.fc17
Comment 12 Fedora Update System 2013-01-23 15:54:26 EST
RepetierHost-0.83-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/RepetierHost-0.83-2.fc18
Comment 13 Fedora Update System 2013-01-25 14:21:29 EST
RepetierHost-0.83-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/RepetierHost-0.83-3.fc17
Comment 14 Fedora Update System 2013-01-25 14:22:15 EST
RepetierHost-0.83-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/RepetierHost-0.83-3.fc18
Comment 15 Fedora Update System 2013-02-03 08:47:34 EST
RepetierHost-0.83-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2013-02-03 08:51:05 EST
RepetierHost-0.83-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.